---
title: "查询自定义页面"
description: "通过多种条件筛选，分页返回指定自定义页面或列表。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/online-store/page/get-custom-pages'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/online-store/page/get-custom-pages.md'
---
# 查询自定义页面

通过多种条件筛选，分页返回指定自定义页面或列表。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_page`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /store/page/customize/list.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_page`

## Request

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `req`

  object

  请求参数。

  * `created_at_max`

    string

    指定要查询自定义页面的截止创建时间。在此时间和此时间之前创建的自定义页面会被返回。格式：`yyyy-MM-dd HH:mm:ss.SSS`。

  * `handle`

    string

    自定义页面的语义化标识符。

  * `published_at_max`

    string

    指定要查询自定义页面的截止发布时间。在此时间和此时间之前发布的自定义页面会被返回。格式：`yyyy-MM-dd HH:mm:ss.SSS`。

  * `search_by_source`

    integer

    是否根据应用类型查询。有效枚举值包含：
    - `0`：不根据应用类型查询。
    - `1`：根据应用类型查询（例如：[智能落地页](https://apps.shopline.com/detail?appHandle=smart_landing_page)）。
    
    默认取值为`0`

  * `sort_field`

    integer

    排序依据，枚举值固定为 `1`，表示按更新时间顺序排序。不传或为空默认按自定义页面的唯一标识 ID 排序。

  * `title`

    string

    自定义页面的标题。
    
    最大长度限制：255

  * `updated_at_min`

    string

    指定要查询自定义页面的起始更新时间。在此时间和此时间之后更新的自定义页面会被返回。格式：`yyyy-MM-dd HH:mm:ss.SSS`。

  * `since_id`

    long

    自定义页面 ID。传入该值后，会从指定的页面 ID 开始查询页面。

  * `created_at_min`

    string

    指定要查询自定义页面的起始创建时间。在此时间和此时间之后创建的自定义页面会被返回。格式：`yyyy-MM-dd HH:mm:ss.SSS`。

  * `page_num`

    integer

    分页请求的页码。

  * `published_at_min`

    string

    指定要查询自定义页面的起始发布时间。在此时间和此时间之后发布的自定义页面会被返回。格式：`yyyy-MM-dd HH:mm:ss.SSS`。

  * `published_status`

    string

    自定义页面的发布状态。有效枚举值包含：
    - `any`：所有状态的页面。
    - `published`：已发布页面。
    - `unpublished`：未发布页面。
    
    默认取值为`any`。

  * `page_size`

    integer

    每页返回的数据条数。
    
    取值范围：1-250
    
    默认取值为：50

  * `sort_type`

    integer

    排序方向。有效枚举值包含：
    - `0`：升序排序。
    - `1`：降序排序。
    
    默认取值为 `0`。

  * `updated_at_max`

    string

    指定要查询自定义页面的截止更新时间。在此时间和此时间之前更新的自定义页面会被返回。格式：`yyyy-MM-dd HH:mm:ss.SSS`。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `msg`

  string

  响应信息，包含成功或失败原因。

* `data`

  object

  自定义页面信息。

  * `list`

    array<object>

    自定义页面列表信息。

    * `author`

      string

      自定义页面的创建者 ID 或名称。

    * `created_at`

      string

      自定义页面的创建时间。格式：`yyyy-MM-dd HH:mm:ss.SSS`。

    * `handle`

      string

      自定义页面的语义化标识符。

    * `id`

      string

      自定义页面的唯一标识 ID。

    * `published_status`

      boolean

      是否发布自定义页面。
      - `true`：已发布。
      - `false`：未发布。

    * `store_id`

      long

      店铺的唯一标识 ID。

    * `body_html`

      string

      自定义页面的正文内容，包含 HTML 标签。

    * `custom_url`

      object

      自定义页面 URL。详情参考 [URL 结构设置](https://help.shopline.com/hc/zh-cn/articles/33749590631961-URL%E7%BB%93%E6%9E%84%E8%AE%BE%E7%BD%AE) 了解自定义 URL 相关内容。

      * `url`

        string

        自定义页面 URL 的相对路径。

      * `is_customized`

        boolean

        是否为自定义 URL。
        - `true`：该 URL 为自定义 URL。
        - `false`：该 URL 为系统默认 URL。

    * `published_at`

      string

      自定义页面的发布时间。格式：`yyyy-MM-dd HH:mm:ss.SSS`。

    * `template_name`

      string

      自定义页面使用的模版名称。

    * `template_type`

      integer

      自定义页面使用的模版类型。模版类型包含：
      - `0`：默认主题模板。
      - `1`：公共模版，所有主题均可使用。
      - `2`：通过应用定义的主题模版，仅对当前主题生效 。

    * `title`

      string

      自定义页面的标题。

    * `updated_at`

      string

      自定义页面的更新时间。格式：`yyyy-MM-dd HH:mm:ss.SSS`。

  * `page_num`

    integer

    分页请求的页码。

  * `page_size`

    integer

    每页返回的数据条数。

  * `total`

    long

    返回数据的总条数。

  * `last_page`

    boolean

    查询的页码是否是最后一页。
    - `true`：是最后一页。
    - `false`：不是最后一页。


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "查询自定义页面"
  ],
  "description": "通过多种条件筛选，分页返回指定自定义页面或列表。",
  "externalDocs": {
    "description": "接口使用的权限点: `read_page` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| SUCCESS | 200 | request success |\n| DATA_IS_NOT_EXIST | 406 | The requested data does not exist. |\n| INVALID_ARGUMENT | 422 | T-OFC-A-INVALID_ARGUMENT |\n"
  },
  "operationId": "Mk2UNX8A",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "description": "body位置参数",
          "type": "object",
          "properties": {
            "req": {
              "name": "req",
              "description": "请求参数。",
              "type": "object",
              "properties": {
                "created_at_max": {
                  "name": "created_at_max",
                  "description": "指定要查询自定义页面的截止创建时间。在此时间和此时间之前创建的自定义页面会被返回。格式：`yyyy-MM-dd HH:mm:ss.SSS`。",
                  "type": "string",
                  "example": "2023-09-11 16:49:35.120"
                },
                "handle": {
                  "name": "handle",
                  "description": "自定义页面的语义化标识符。",
                  "type": "string",
                  "example": "contact-us"
                },
                "published_at_max": {
                  "name": "published_at_max",
                  "description": "指定要查询自定义页面的截止发布时间。在此时间和此时间之前发布的自定义页面会被返回。格式：`yyyy-MM-dd HH:mm:ss.SSS`。",
                  "type": "string",
                  "example": "2023-09-11 16:49:35.120"
                },
                "search_by_source": {
                  "name": "search_by_source",
                  "description": "是否根据应用类型查询。有效枚举值包含：\n- `0`：不根据应用类型查询。\n- `1`：根据应用类型查询（例如：[智能落地页](https://apps.shopline.com/detail?appHandle=smart_landing_page)）。\n\n默认取值为`0`",
                  "type": "integer"
                },
                "sort_field": {
                  "name": "sort_field",
                  "description": "排序依据，枚举值固定为 `1`，表示按更新时间顺序排序。不传或为空默认按自定义页面的唯一标识 ID 排序。",
                  "type": "integer",
                  "example": 1
                },
                "title": {
                  "name": "title",
                  "description": "自定义页面的标题。\n\n最大长度限制：255",
                  "type": "string",
                  "example": "Contact us"
                },
                "updated_at_min": {
                  "name": "updated_at_min",
                  "description": "指定要查询自定义页面的起始更新时间。在此时间和此时间之后更新的自定义页面会被返回。格式：`yyyy-MM-dd HH:mm:ss.SSS`。",
                  "type": "string",
                  "example": "2023-09-11 16:49:35.000"
                },
                "since_id": {
                  "name": "since_id",
                  "description": "自定义页面 ID。传入该值后，会从指定的页面 ID 开始查询页面。",
                  "type": "long",
                  "example": 6497413009837171000
                },
                "created_at_min": {
                  "name": "created_at_min",
                  "description": "指定要查询自定义页面的起始创建时间。在此时间和此时间之后创建的自定义页面会被返回。格式：`yyyy-MM-dd HH:mm:ss.SSS`。",
                  "type": "string",
                  "example": "2023-09-11 16:49:35.120"
                },
                "page_num": {
                  "name": "page_num",
                  "description": "分页请求的页码。",
                  "type": "integer",
                  "example": 1
                },
                "published_at_min": {
                  "name": "published_at_min",
                  "description": "指定要查询自定义页面的起始发布时间。在此时间和此时间之后发布的自定义页面会被返回。格式：`yyyy-MM-dd HH:mm:ss.SSS`。",
                  "type": "string",
                  "example": "2023-09-11 16:49:35.120"
                },
                "published_status": {
                  "name": "published_status",
                  "description": "自定义页面的发布状态。有效枚举值包含：\n- `any`：所有状态的页面。\n- `published`：已发布页面。\n- `unpublished`：未发布页面。\n\n默认取值为`any`。",
                  "type": "string"
                },
                "page_size": {
                  "name": "page_size",
                  "description": "每页返回的数据条数。\n\n取值范围：1-250\n\n默认取值为：50",
                  "type": "integer",
                  "example": 0
                },
                "sort_type": {
                  "name": "sort_type",
                  "description": "排序方向。有效枚举值包含：\n- `0`：升序排序。\n- `1`：降序排序。\n\n默认取值为 `0`。",
                  "type": "integer"
                },
                "updated_at_max": {
                  "name": "updated_at_max",
                  "description": "指定要查询自定义页面的截止更新时间。在此时间和此时间之前更新的自定义页面会被返回。格式：`yyyy-MM-dd HH:mm:ss.SSS`。",
                  "type": "string",
                  "example": "2023-09-11 16:49:35.000"
                }
              },
              "required": [
                "page_num",
                "page_size"
              ],
              "example": {
                "search_by_source": null,
                "sort_field": 1,
                "updated_at_max": "2023-09-11 16:49:35.000",
                "page_num": 1,
                "sort_type": null,
                "handle": "contact-us",
                "published_status": null,
                "since_id": 6497413009837171000,
                "updated_at_min": "2023-09-11 16:49:35.000",
                "created_at_max": "2023-09-11 16:49:35.120",
                "created_at_min": "2023-09-11 16:49:35.120",
                "page_size": 0,
                "published_at_max": "2023-09-11 16:49:35.120",
                "published_at_min": "2023-09-11 16:49:35.120",
                "title": "Contact us"
              }
            }
          },
          "required": [
            "req"
          ],
          "example": {
            "req": {
              "published_at_min": "2023-09-11 16:49:35.120",
              "search_by_source": null,
              "title": "Contact us",
              "created_at_max": "2023-09-11 16:49:35.120",
              "handle": "contact-us",
              "page_num": 1,
              "page_size": 0,
              "sort_field": 1,
              "updated_at_max": "2023-09-11 16:49:35.000",
              "updated_at_min": "2023-09-11 16:49:35.000",
              "created_at_min": "2023-09-11 16:49:35.120",
              "published_at_max": "2023-09-11 16:49:35.120",
              "since_id": 6497413009837171000,
              "sort_type": null,
              "published_status": null
            }
          }
        },
        "examples": {
          "查询自定义页面": {
            "description": "查询自定义页面列表",
            "value": {
              "req": {
                "page_num": "1",
                "page_size": "2",
                "since_id": "5734528158155677719"
              }
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "msg": {
                "name": "msg",
                "description": "响应信息，包含成功或失败原因。",
                "type": "string"
              },
              "data": {
                "name": "data",
                "description": "自定义页面信息。",
                "type": "object",
                "properties": {
                  "list": {
                    "name": "list",
                    "description": "自定义页面列表信息。",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "author": {
                          "name": "author",
                          "description": "自定义页面的创建者 ID 或名称。",
                          "type": "string",
                          "example": "Alvin"
                        },
                        "created_at": {
                          "name": "created_at",
                          "description": "自定义页面的创建时间。格式：`yyyy-MM-dd HH:mm:ss.SSS`。",
                          "type": "string",
                          "example": "2023-09-11 16:49:35.000"
                        },
                        "handle": {
                          "name": "handle",
                          "description": "自定义页面的语义化标识符。",
                          "type": "string",
                          "example": "contact-us"
                        },
                        "id": {
                          "name": "id",
                          "description": "自定义页面的唯一标识 ID。",
                          "type": "string",
                          "example": "6743314731912662424"
                        },
                        "published_status": {
                          "name": "published_status",
                          "description": "是否发布自定义页面。\n- `true`：已发布。\n- `false`：未发布。",
                          "type": "boolean"
                        },
                        "store_id": {
                          "name": "store_id",
                          "description": "店铺的唯一标识 ID。",
                          "type": "long",
                          "example": 1730104825803
                        },
                        "body_html": {
                          "name": "body_html",
                          "description": "自定义页面的正文内容，包含 HTML 标签。",
                          "type": "string",
                          "example": "<p>We love to hear from you.</p>"
                        },
                        "custom_url": {
                          "name": "custom_url",
                          "description": "自定义页面 URL。详情参考 [URL 结构设置](https://help.shopline.com/hc/zh-cn/articles/33749590631961-URL%E7%BB%93%E6%9E%84%E8%AE%BE%E7%BD%AE) 了解自定义 URL 相关内容。",
                          "type": "object",
                          "properties": {
                            "url": {
                              "name": "url",
                              "description": "自定义页面 URL 的相对路径。",
                              "type": "string",
                              "example": "/pages/contact_us"
                            },
                            "is_customized": {
                              "name": "is_customized",
                              "description": "是否为自定义 URL。\n- `true`：该 URL 为自定义 URL。\n- `false`：该 URL 为系统默认 URL。",
                              "type": "boolean"
                            }
                          },
                          "example": {
                            "is_customized": null,
                            "url": "/pages/contact_us"
                          }
                        },
                        "published_at": {
                          "name": "published_at",
                          "description": "自定义页面的发布时间。格式：`yyyy-MM-dd HH:mm:ss.SSS`。",
                          "type": "string",
                          "example": "2023-09-11 16:49:35.000"
                        },
                        "template_name": {
                          "name": "template_name",
                          "description": "自定义页面使用的模版名称。",
                          "type": "string",
                          "example": "templates/page.contact.json"
                        },
                        "template_type": {
                          "name": "template_type",
                          "description": "自定义页面使用的模版类型。模版类型包含：\n- `0`：默认主题模板。\n- `1`：公共模版，所有主题均可使用。\n- `2`：通过应用定义的主题模版，仅对当前主题生效 。",
                          "type": "integer"
                        },
                        "title": {
                          "name": "title",
                          "description": "自定义页面的标题。",
                          "type": "string",
                          "example": "Contact us"
                        },
                        "updated_at": {
                          "name": "updated_at",
                          "description": "自定义页面的更新时间。格式：`yyyy-MM-dd HH:mm:ss.SSS`。",
                          "type": "string",
                          "example": "2023-09-11 16:49:35.000"
                        }
                      },
                      "example": {
                        "template_type": null,
                        "title": "Contact us",
                        "custom_url": {
                          "is_customized": null,
                          "url": "/pages/contact_us"
                        },
                        "id": "6743314731912662424",
                        "published_status": null,
                        "store_id": 1730104825803,
                        "template_name": "templates/page.contact.json",
                        "updated_at": "2023-09-11 16:49:35.000",
                        "author": "Alvin",
                        "body_html": "<p>We love to hear from you.</p>",
                        "created_at": "2023-09-11 16:49:35.000",
                        "handle": "contact-us",
                        "published_at": "2023-09-11 16:49:35.000"
                      }
                    },
                    "example": [
                      {
                        "author": "Alvin",
                        "body_html": "<p>We love to hear from you.</p>",
                        "custom_url": {
                          "is_customized": null,
                          "url": "/pages/contact_us"
                        },
                        "published_at": "2023-09-11 16:49:35.000",
                        "published_status": null,
                        "store_id": 1730104825803,
                        "template_name": "templates/page.contact.json",
                        "updated_at": "2023-09-11 16:49:35.000",
                        "created_at": "2023-09-11 16:49:35.000",
                        "handle": "contact-us",
                        "id": "6743314731912662424",
                        "template_type": null,
                        "title": "Contact us"
                      }
                    ]
                  },
                  "page_num": {
                    "name": "page_num",
                    "description": "分页请求的页码。",
                    "type": "integer",
                    "example": 1
                  },
                  "page_size": {
                    "name": "page_size",
                    "description": "每页返回的数据条数。",
                    "type": "integer",
                    "example": 50
                  },
                  "total": {
                    "name": "total",
                    "description": "返回数据的总条数。",
                    "type": "long",
                    "example": 50
                  },
                  "last_page": {
                    "name": "last_page",
                    "description": "查询的页码是否是最后一页。\n- `true`：是最后一页。\n- `false`：不是最后一页。",
                    "type": "boolean"
                  }
                },
                "example": {
                  "list": [
                    {
                      "updated_at": "2023-09-11 16:49:35.000",
                      "author": "Alvin",
                      "body_html": "<p>We love to hear from you.</p>",
                      "created_at": "2023-09-11 16:49:35.000",
                      "custom_url": {
                        "is_customized": null,
                        "url": "/pages/contact_us"
                      },
                      "handle": "contact-us",
                      "id": "6743314731912662424",
                      "template_name": "templates/page.contact.json",
                      "template_type": null,
                      "published_at": "2023-09-11 16:49:35.000",
                      "published_status": null,
                      "store_id": 1730104825803,
                      "title": "Contact us"
                    }
                  ],
                  "page_num": 1,
                  "page_size": 50,
                  "total": 50,
                  "last_page": null
                }
              }
            },
            "example": {
              "msg": null,
              "data": {
                "total": 50,
                "last_page": null,
                "list": [
                  {
                    "title": "Contact us",
                    "updated_at": "2023-09-11 16:49:35.000",
                    "author": "Alvin",
                    "body_html": "<p>We love to hear from you.</p>",
                    "created_at": "2023-09-11 16:49:35.000",
                    "custom_url": {
                      "is_customized": null,
                      "url": "/pages/contact_us"
                    },
                    "id": "6743314731912662424",
                    "store_id": 1730104825803,
                    "template_name": "templates/page.contact.json",
                    "template_type": null,
                    "handle": "contact-us",
                    "published_at": "2023-09-11 16:49:35.000",
                    "published_status": null
                  }
                ],
                "page_num": 1,
                "page_size": 50
              }
            }
          },
          "examples": {
            "查询自定义页面": {
              "description": "查询自定义页面列表",
              "value": {
                "msg": "success",
                "data": {
                  "last_page": true,
                  "list": [
                    {
                      "created_at": "2022-12-27 17:17:02.868",
                      "handle": "page_handle",
                      "id": "5734528158155677719",
                      "template_type": "2",
                      "title": "demo-page",
                      "updated_at": "2022-12-27 17:17:02.868",
                      "author": "zhang san",
                      "body_html": "<p>demo-page-content</p>",
                      "store_id": "1628737575003",
                      "template_name": "templates/page.json"
                    }
                  ],
                  "page_num": 1,
                  "page_size": 2,
                  "total": 1
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/store/page/customize/list.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询自定义页面",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_page"
  ]
}
```